Summary: provides support for IMAP and POP network mail protocols
Name: imap
Version: 4.4
Release: 2
Copyright: BSD
Group: Networking/Daemons
Source: ftp://ftp.cac.washington.edu/mail/imap-%{version}.tar.Z
Source1: imap.pamd
Patch0: imap-4.1.BETA-linux.patch
Patch1: imap-4.1.BETA-pam.patch
Patch2: imap-4.2-flock.patch
Buildroot: /var/tmp/imap
Requires: pam >= 0.59
Summary(de): Bietet Untersttzung fr IMAP- und POP-Netz-Mail-Protokolle
Summary(fr): Fournit un support pour les protocoles de mail IMAP et POP.
Summary(tr): IMAP ve POP posta indirme protokollar iin sunucu

%description
IMAP is a server for the POP (Post Office Protocol) and IMAP mail protocols.
The POP protocol allows a "post office" machine to collect mail for users
and have that mail downloaded to the user's local machine for reading. The
IMAP protocol provides the functionality of POP, and allows a user to
read mail on a remote machine without moving it to his local mailbox.

%prep

%setup -q
%patch0 -p1 -b .linux
%patch1 -p1 -b .pam
%patch2 -p1 -b .noflock

%build

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DIGNORE_LOCK_EACCES_ERRORS" lnx

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m 644 ./src/ipopd/ipopd.8c $RPM_BUILD_ROOT/usr/man/man8/ipopd.8c
install -m 644 ./src/imapd/imapd.8c $RPM_BUILD_ROOT/usr/man/man8/imapd.8c
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop2d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./ipopd/ipop3d $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 ./imapd/imapd $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 ${RPM_SOURCE_DIR}/imap.pamd $RPM_BUILD_ROOT/etc/pam.d/imap

%clean
rm -f imap
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/pam.d/imap
/usr/man/man8/ipopd.8c
/usr/man/man8/imapd.8c
%attr(0755,root,mail)	/usr/sbin/ipop2d
%attr(0755,root,mail)	/usr/sbin/ipop3d
%attr(0755,root,mail)	/usr/sbin/imapd
%doc README

%changelog
* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- use only fcntl locking.

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.4.
- removed g+s bit to imapd.

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- updated to 4.2.
- added g+s bit to imapd so that lock files can be created.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- Updated to the latest imap as of today...

* Wed Dec 10 1997 Cristian Gafton <gafton@redhat.com>
- Updated to the latest imap as of today...
- Updated the pam patch to reflect the new directory organization

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fix patch for new PAM spec compliance.

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Comply with change in PAM spec.
- Use a buildroot.

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Fixed buffer overrun in server_login().
